<div class="mensaje" *ngIf="mensaje">{{ mensaje }}</div>
<div class="contenido-principal">
  <div class="usuario-lista">
    <h3>Lista de {{ usuario }}</h3>
  </div>
  <div class="libros-estados" >
  <div *ngFor="let estado of estados; let i = index ">
    <div class="elemento-estado" *ngIf="estado!==''" (click)="onEstado(estado)">
        <p class="estado">{{estado}}</p>
    </div>
  </div>
</div>
  <div><h3>{{estados[estadoActual - 1]}}</h3></div>
  <div class="lista">
    <div class="lista-elemento" *ngFor="let libro of lista">
      <div class="portada-titulo" *ngIf="libro.estado == estadoActual">
        <div class="div-imagen-libro">
          <a [routerLink]="['/libro', libro.isbn]">
            <img [src]="libro.portada" alt="" class="imagen-libro" />
          </a>
        </div>
        <div class="titulo-opciones">
          <a [routerLink]="['/libro', libro.isbn]">
            <p>{{ libro.titulo_original }}</p>
          </a>
          <div class="opciones">
            <div>
              <div class="puntuacion-usuario">
                <p>Nota: {{ libro.puntuacion }}/10</p>
              </div>
              <div class="editar-elemento-libro" (click)="libro.forumularioEstadoVisible = !libro.forumularioEstadoVisible; resetForm()" *ngIf="usuarioLogueado && (usuarioLogueado.usuario === usuario) && isLogin">
                <p>Editar entrada</p>
              </div>
            </div>
            <form class="editar-libro" *ngIf="libro.forumularioEstadoVisible" [formGroup]="form" (submit)="onSubmit(libro.id_libro)">
              <div>
                <label for="nota">Nota</label>
                <select name="nota" id="nota" formControlName="puntuacion">
                  <option [value]="i" *ngFor='let in of counter(11) ;let i = index'>{{i}}</option>
                </select>
              </div>
              <div>
                <label for="estado">Estado</label>
                <select name="estado" id="estado" formControlName="estado">
                  <option [value]="i + 1" *ngFor='let estado of estados; let i = index'>{{estado}}</option>
                </select>
              </div>
              <button>Modificar</button>
              <button class="eliminar" type="button" (click)="onEliminar(libro.id_libro)">Eliminar</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
